Bug 238241 - Fedora 7 Test 4 LiveCD cannot find root file system
Fedora 7 Test 4 LiveCD cannot find root file system
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: FC7Target
  Show dependency treegraph
 
Reported: 2007-04-28 02:10 EDT by Stewart Hardie
Modified: 2013-01-09 23:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-27 08:30:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg, lspci and lsmod info (38.60 KB, application/octet-stream)
2007-04-28 02:10 EDT, Stewart Hardie
no flags Details

  None (edit)
Description Stewart Hardie 2007-04-28 02:10:37 EDT
Description of problem:
After selecting boot from IMG, the LiveCD (basic Gnome LiveCD) stops with a
message that it cannot find the root filesystem, followed by another message -
please create a symlink for /dev/root and exit to continue. Then sits at a
prompt, but I have no idea what to do next.

This is on a Compaq Evo N1020v laptop. 2.4 GHz Pentium 4, 512MB Ram.

Version-Release number of selected component (if applicable):
Fedora 7 Test 4 LiveCD (Gnome)

How reproducible:
Always

Steps to Reproduce:
1. Insert LiveCD and reboot computer.
2. Run from image.
3. Wait for error message
  
Actual results:
The boot process stalls with the above error message.

Expected results:
Boot up to a graphical log in screen.

Additional info:
Have seen other reports of the same thing. In those cases, such as bug 238129,
the output of dmesg, lspci and lsmod was wanted. This information is attached as
generated by the currently installed FC6. Also ran dmesg and lsmod (lspci not
available) from the bash-3.2 prompt that I was sent to under the f7t4 livecd
boot process (transferred info by USB stick). This is at the end of the attached
file.
Comment 1 Stewart Hardie 2007-04-28 02:10:38 EDT
Created attachment 153687 [details]
dmesg, lspci and lsmod info
Comment 2 Jeremy Katz 2007-04-30 14:23:17 EDT
Errors from pata_ali when trying to set up the CD drive:
ata2.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata2.00: cmd a0/01:00:00:00:00/00:00:00:00:00/a0 tag 0 cdb 0x12 data 36 in
         res 40/00:00:00:00:00/00:00:00:00:00/00 Emask 0x4 (timeout)
ata2: soft resetting port
ata2.00: configured for UDMA/33
ata2: EH complete
ata2.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata2.00: cmd a0/01:00:00:00:00/00:00:00:00:00/a0 tag 0 cdb 0x12 data 36 in
         res 40/00:00:00:00:00/00:00:00:00:00/00 Emask 0x4 (timeout)
ata2: soft resetting port
Comment 3 Stewart Hardie 2007-05-26 22:10:40 EDT
I have booted Fedora-7-Live-i386-RC2 (Gnome) twice on the same laptop without
problems right through to the desktop. The problems reported in this bug appear
to be fixed. Recommend that this bug be closed.

Note You need to log in before you can comment on or make changes to this bug.